require 'securerandom'

# Adds ID attribute to native Exception.
class Exception

  # Exception ID.
  # @return [String]
  attr_reader :id

  # Exception code (may be +nil+).
  # @return [String]
  attr_reader :code

  def id
    @id = SecureRandom.uuid if !@id
    return @id
  end

end
